#!/bin/sh
# Launch browser with a given URL.

export PATH=$PATH:/usr/bin:/bin:/usr/local/bin:/opt/bin:/opt/kde/bin:/opt/kde3/bin:/usr/qt/3/bin:/usr/local/mozilla/bin

if [ -n `which kde-config` ]
then
  export PATH=$PATH:`kde-config --prefix`/bin
fi

for x in kfmclient epiphany firefox mozilla-firefox mozilla galeon opera
do
  if [ -n `which $x` ]
  then
    case $x in
      kfmclient) kfmclient openURL "$@" ;;
      *) $x "$@" ;;
    esac
    [ $? -eq 0 ] && exit 0
  fi
done
exit 0
